/* Hero Section */

#hero {
  background: no-repeat url("../images/hero-solar.jpg") center bottom/cover;
  min-height: 30vh;
  position: relative;
}

#hero .container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 30vh;
  color: var(--white);
}

.hero-content {
  position: relative;
  z-index: 2;
}

.hero-content h1 {
  font-size: 2.5rem;
}

/* General styles */

#what-solar-header {
  background: var(--extra-light-gray);
}

#what-solar-header .container,
#finance {
  margin: 4rem auto;
}

.advantages-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  margin: 3rem 0;
  gap: 1rem;
}

.advatage-card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  width: clamp(350px, 30%, 100%);
  min-height: 280px;
  padding: 1.5rem;
  border-radius: 10px;
}

.advatage-card h3 {
  margin-bottom: 1rem;
  font-size: 1.5rem;
  letter-spacing: 1.5px;
}

.advatage-card:nth-of-type(odd) {
  background: var(--primary-color);
}

.advatage-card:nth-of-type(even) {
  background: var(--light-gray);
}

.advatage-card:nth-of-type(even) h3,
.advatage-card:nth-of-type(even) p {
  color: white;
}

.advatage-card:nth-of-type(odd) h3 {
  color: var(--light-gray);
}

/* Media Queries */
@media (max-width: 850px) {
  .explainer-container {
    flex-direction: column;
  }
  #hero h3 {
    font-size: 1.5rem;
  }

  #hero h1 {
    font-size: 2.5rem;
  }

  #hero p {
    font-size: 1rem;
  }

  #about .two-col-flex {
    flex-direction: column-reverse;
  }

  .deco-image {
    width: 100%;
  }

  .information-right {
    width: 100%;
  }

  .information-left {
    width: 100%;
  }
}
